## mingw-w64-python-lief-0.13.2-3.src.tar.zst

=== examples/cpp/CMakeLists.txt ===
set(LIEF_ELF_CPP_EXAMPLES
  elf_reader.cpp
  elf_add_section.cpp
  elf_builder.cpp
  elf_section_rename.cpp
  elf_strip.cpp
  elf_symbols.cpp
)

set(LIEF_PE_CPP_EXAMPLES
  pe_builder.cpp
  pe_reader.cpp
  pe_authenticode_check.cpp
)

set(LIEF_MACHO_CPP_EXAMPLES
  macho_reader.cpp
  macho_builder.cpp
)

set(LIEF_OAT_CPP_EXAMPLES
  oat_reader.cpp
)

set(LIEF_VDEX_CPP_EXAMPLES
  vdex_reader.cpp
)

set(LIEF_ART_CPP_EXAMPLES
  art_reader.cpp
)

set(LIEF_DEX_CPP_EXAMPLES
  dex_reader.cpp
)

set(LIEF_CPP_EXAMPLES
  abstract_reader.cpp
  logging.cpp
  benchmark.cpp
)

if (LIEF_ELF)
  set(LIEF_CPP_EXAMPLES "${LIEF_CPP_EXAMPLES}" "${LIEF_ELF_CPP_EXAMPLES}")
endif()

if (LIEF_PE)
  set(LIEF_CPP_EXAMPLES "${LIEF_CPP_EXAMPLES}" "${LIEF_PE_CPP_EXAMPLES}")
endif()

if (LIEF_MACHO)
  set(LIEF_CPP_EXAMPLES "${LIEF_CPP_EXAMPLES}" "${LIEF_MACHO_CPP_EXAMPLES}")
endif()

if (LIEF_OAT)
  set(LIEF_CPP_EXAMPLES ${LIEF_CPP_EXAMPLES} ${LIEF_OAT_CPP_EXAMPLES})
endif()

if (LIEF_VDEX)
  set(LIEF_CPP_EXAMPLES ${LIEF_CPP_EXAMPLES} ${LIEF_VDEX_CPP_EXAMPLES})
endif()

if (LIEF_ART)
  set(LIEF_CPP_EXAMPLES ${LIEF_CPP_EXAMPLES} ${LIEF_ART_CPP_EXAMPLES})
endif()

if (LIEF_DEX)
  set(LIEF_CPP_EXAMPLES ${LIEF_CPP_EXAMPLES} ${LIEF_DEX_CPP_EXAMPLES})
endif()

if(APPLE)
  add_executable(macho_from_memory "macho_from_memory.cpp")
  set_target_properties(
    macho_from_memory
    PROPERTIES POSITION_INDEPENDENT_CODE ON
               CXX_STANDARD              11
               CXX_STANDARD_REQUIRED     ON)

  target_link_libraries(macho_from_memory PUBLIC LIB_LIEF)
  add_custom_command(
    TARGET macho_from_memory
    COMMENT "Strip $<TARGET_FILE:macho_from_memory>"
    POST_BUILD
    COMMAND ${CMAKE_STRIP} -x -S $<TARGET_FILE:macho_from_memory>
  )
endif()


foreach(example ${LIEF_CPP_EXAMPLES})
  string(REGEX REPLACE ".cpp\$" "" output_name "${example}")
  add_executable("${output_name}" "${example}")

  # Don't use default include dir
  set_property(TARGET "${output_name}" PROPERTY INCLUDE_DIRECTORIES "")

  set_target_properties(
    ${output_name}
    PROPERTIES POSITION_INDEPENDENT_CODE ON
               CXX_STANDARD              11
               CXX_STANDARD_REQUIRED     ON)

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    if (UNIX)
      if (LIEF_FORCE32)
        target_compile_options("${output_name}" PRIVATE -m32)

        set_property(TARGET "${output_name}" PROPERTY LINK_FLAGS -m32)
      endif()
    endif()
  endif()

  target_link_libraries("${output_name}" PUBLIC LIB_LIEF)

  if (CMAKE_BUILD_TYPE MATCHES "Release")
    if (UNIX AND NOT APPLE)
        add_custom_command(
          TARGET ${output_name}
          COMMENT "Strip ${output_name}"
          POST_BUILD
          COMMAND ${CMAKE_STRIP} --strip-all $<TARGET_FILE:${output_name}>
        )
    endif()

    if (APPLE)
      add_custom_command(
        TARGET ${output_name}
        COMMENT "Strip ${output_name}"
        POST_BUILD
        COMMAND ${CMAKE_STRIP} -x -S $<TARGET_FILE:${output_name}>
      )
    endif()
  endif()
  if(LIEF_INSTALL_COMPILED_EXAMPLES)
    install(
      TARGETS ${output_name}
      RUNTIME DESTINATION bin
      BUNDLE DESTINATION bin
      COMPONENT examples)
  endif()
endforeach()


install(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  DESTINATION share/LIEF/examples/cpp
  COMPONENT examples
  FILES_MATCHING REGEX "(.*).(hpp|h|cpp)$"
)

=== src/DEX/CMakeLists.txt ===
set(LIEF_DEX_SRC
  ${CMAKE_CURRENT_LIST_DIR}/Parser.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Parser.tcc
  ${CMAKE_CURRENT_LIST_DIR}/File.cpp
  ${CMAKE_CURRENT_LIST_DIR}/EnumToString.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Header.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Header.tcc
  ${CMAKE_CURRENT_LIST_DIR}/Class.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Method.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Field.cpp
  ${CMAKE_CURRENT_LIST_DIR}/instructions.cpp
  ${CMAKE_CURRENT_LIST_DIR}/CodeInfo.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Type.cpp
  ${CMAKE_CURRENT_LIST_DIR}/Prototype.cpp
  ${CMAKE_CURRENT_LIST_DIR}/MapList.cpp
  ${CMAKE_CURRENT_LIST_DIR}/MapItem.cpp
  ${CMAKE_CURRENT_LIST_DIR}/utils.cpp
  ${CMAKE_CURRENT_LIST_DIR}/hash.cpp
)

set(LIEF_DEX_INC_FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/File.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Header.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Class.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Method.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Field.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/CodeInfo.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Parser.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/types.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/utils.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Type.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/Prototype.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/MapList.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/MapItem.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/instructions.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/EnumToString.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/hash.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/enums.hpp"

  "${CMAKE_CURRENT_LIST_DIR}/Structures.hpp"
)


# JSON Public API: Always present
list(APPEND LIEF_DEX_SRC       "${CMAKE_CURRENT_LIST_DIR}/json_api.cpp")
list(APPEND LIEF_DEX_INC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/DEX/json.hpp")

# JSON Impl
if (LIEF_ENABLE_JSON)
  list(APPEND LIEF_DEX_SRC       "${CMAKE_CURRENT_LIST_DIR}/json.cpp")
  list(APPEND LIEF_DEX_INC_FILES "${CMAKE_CURRENT_LIST_DIR}/json_internal.hpp")
endif()

source_group("Source Files\\DEX" FILES ${LIEF_DEX_SRC})
source_group("Header Files\\DEX" FILES ${LIEF_DEX_INC_FILES})

if (LIEF_DEX)
  target_sources(LIB_LIEF PRIVATE
    ${LIEF_DEX_SRC}
    ${LIEF_DEX_INC_FILES}
  )
endif()

=== tests/sanitizer/CMakeLists.txt ===
add_executable(sanitize_checks sanitize_checks.cpp)
target_link_libraries(sanitize_checks PUBLIC LIB_LIEF)

set_target_properties(
  sanitize_checks
  PROPERTIES CXX_STANDARD           11
             CXX_STANDARD_REQUIRED  ON)

target_include_directories(sanitize_checks PUBLIC
                           $<TARGET_PROPERTY:LIB_LIEF,INCLUDE_DIRECTORIES>)

target_compile_options(sanitize_checks PUBLIC ${SANITIZER_FLAGS})

=== src/PE/LoadConfigurations/CMakeLists.txt ===

set(LIEF_PE_LOAD_CONFIGURATION_SRC
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurations.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfiguration.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfiguration.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV0.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV0.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV1.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV1.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV2.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV2.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV3.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV3.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV4.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV4.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV5.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV5.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV6.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV6.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV7.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV7.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV8.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV8.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV9.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV9.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV10.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV10.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV11.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/LoadConfigurationV11.tcc"
)


set(LIEF_PE_LOAD_CONFIGURATION_INCLUDE
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfiguration.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV0.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV1.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV2.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV3.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV4.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV5.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV6.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV7.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV8.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV9.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV10.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/LoadConfigurations/LoadConfigurationV11.hpp"
)

source_group("Source Files\\PE\\Load Configure" FILES ${LIEF_PE_LOAD_CONFIGURATION_SRC})
source_group("Source Files\\PE\\Load Configure" FILES ${LIEF_PE_LOAD_CONFIGURATION_INCLUDE})

if (LIEF_PE)
  target_sources(LIB_LIEF PRIVATE
    ${LIEF_PE_LOAD_CONFIGURATION_SRC}
    ${LIEF_PE_LOAD_CONFIGURATION_INCLUDE}
  )
endif()

=== src/PE/signature/CMakeLists.txt ===
set(LIEF_PE_SIGNATURE_SRC
  "${CMAKE_CURRENT_LIST_DIR}/Attribute.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/ContentInfo.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/Signature.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/SignerInfo.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/x509.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/OIDToString.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/SignatureParser.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/RsaInfo.cpp"
)


set(LIEF_PE_SIGNATURE_INCLUDES
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/Attribute.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/ContentInfo.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/OIDToString.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/Signature.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/SignatureParser.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/SignerInfo.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/types.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/x509.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/PE/signature/RsaInfo.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/PE/signature/pkcs7.h"
)

source_group("Header Files\\PE\\signature" FILES ${LIEF_PE_SIGNATURE_SRC})
source_group("Header Files\\PE\\signature" FILES ${LIEF_PE_SIGNATURE_INCLUDES})

if (LIEF_PE)
  target_sources(LIB_LIEF PRIVATE
    ${LIEF_PE_SIGNATURE_SRC}
    ${LIEF_PE_SIGNATURE_INCLUDES}
  )
endif()

include("${CMAKE_CURRENT_LIST_DIR}/attributes/CMakeLists.txt")

=== src/platforms/android/CMakeLists.txt ===

set(LIEF_ANDROID_SRC
  ${CMAKE_CURRENT_LIST_DIR}/version.cpp
)

set(LIEF_ANDROID_INC_FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/platforms/android/version.hpp"
)

source_group("Source Files\\Platforms\\Android" FILES ${LIEF_ANDROID_SRC})
source_group("Header Files\\Platforms\\Android" FILES ${LIEF_ANDROID_INC_FILES})

target_sources(LIB_LIEF PRIVATE
  ${LIEF_ANDROID_SRC}
  ${LIEF_ANDROID_INC_FILES}
)

=== src/ELF/NoteDetails/core/CMakeLists.txt ===
set(LIEF_ELF_CORE_NOTES_SRC
  "${CMAKE_CURRENT_LIST_DIR}/CorePrPsInfo.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/CorePrPsInfo.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/CoreFile.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/CoreFile.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/CorePrStatus.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/CorePrStatus.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/CoreAuxv.cpp"
  "${CMAKE_CURRENT_LIST_DIR}/CoreAuxv.tcc"

  "${CMAKE_CURRENT_LIST_DIR}/CoreSigInfo.cpp"
)

set(LIEF_ELF_CORE_NOTES_INC
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/ELF/NoteDetails/core/CorePrPsInfo.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/ELF/NoteDetails/core/CorePrStatus.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/ELF/NoteDetails/core/CoreFile.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/ELF/NoteDetails/core/CoreAuxv.hpp"
  "${CMAKE_CURRENT_SOURCE_DIR}/include/LIEF/ELF/NoteDetails/core/CoreSigInfo.hpp"
)

if (LIEF_ELF)
  target_sources(LIB_LIEF PRIVATE
    ${LIEF_ELF_CORE_NOTES_SRC}
    ${LIEF_ELF_CORE_NOTES_INC})
endif()

=== PKGBUILD ===
# Maintainer: Marcelo Duarte https://github.com/marcelotduarte

_realname=lief
pkgbase=mingw-w64-python-${_realname}
pkgname=${MINGW_PACKAGE_PREFIX}-python-${_realname}
pkgdesc="LIEF - Library to Instrument Executable Formats (mingw-w64)"
pkgver=0.13.2
pkgrel=3
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'mingw32')
msys2_references=(
  'pypi: lief'
)
url="https://github.com/lief-project/LIEF/"
license=('spdx:Apache-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-ccache"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools"
             "${MINGW_PACKAGE_PREFIX}-python-tomli")
options=('staticlibs' '!strip' '!debug')
source=(lief-${pkgver}.tar.gz::https://github.com/lief-project/LIEF/archive/refs/tags/${pkgver}.tar.gz
        0001-fix-exported-API-pymodule.patch
        0001-fmt-no-private-clang-header.patch)
sha256sums=('c68ef94ee613c6557faccc135bdaba4322c2e044be2b806ceea1de763cc099cf'
            '5d59f6a2e547f62ccbb00b469ab4316925576c562aee3be2a293beca6975c466'
            'c042c09ccd0bde52565e7e95c38b9c3b73449dae9d857b5f3b60ed8e00f5a405')

prepare() {
  cd "${srcdir}/LIEF-${pkgver}"
  patch -p1 -i "${srcdir}/0001-fix-exported-API-pymodule.patch"

  (cd api/python && python setup.py egg_info)
}

build() {
  cd "${srcdir}/LIEF-${pkgver}"
  [[ -d build-${MSYSTEM} ]] && rm -rf build-${MSYSTEM}
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX" \
  ${MINGW_PREFIX}/bin/cmake.exe -LAH \
    -G"Ninja" \
    -DCMAKE_BUILD_TYPE="Release" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DLIEF_PYTHON_API=ON \
    -DLIEF_DISABLE_FROZEN=OFF \
    -DCMAKE_SKIP_RPATH=ON \
    -DLIEF_INSTALL_PYTHON=ON \
    -DPYTHON_EXECUTABLE=${MINGW_PREFIX}/bin/python.exe \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DCMAKE_C_USE_RESPONSE_FILE_FOR_OBJECTS=OFF \
    -DCMAKE_CXX_USE_RESPONSE_FILE_FOR_OBJECTS=OFF \
    -DLIEF_ELF=off -DLIEF_MACHO=off -DLIEF_OAT=off -DLIEF_DEX=off -DLIEF_VDEX=off -DLIEF_ART=off \
    ${_conf} \
    ..
    #-DBUILD_SHARED_LIBS:BOOL=OFF
    #-DBUILD_STATIC_LIBS:BOOL=OFF

  mkdir -p api/python/lief

  # patch fmt which is vendored in spdlog which is vendored in lief
  # to fix the build with newer clang
  cmake --build . --target lief_spdlog_project
  (cd lief_spdlog_project-prefix/src/lief_spdlog_project/include/spdlog/fmt/bundled &&
   patch -p3 -i ${srcdir}/0001-fmt-no-private-clang-header.patch)

  MSYS2_ARG_CONV_EXCL="--include-paths=;--typesystem-paths=" \
  ${MINGW_PREFIX}/bin/cmake.exe --build .
  
  MSYS2_ARG_CONV_EXCL="--include-paths=;--typesystem-paths=" \
  ${MINGW_PREFIX}/bin/cmake.exe --build . --target pyLIEF --config Release
}

package() {
  cd "${srcdir}/LIEF-${pkgver}"
  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake.exe --install build-${MSYSTEM}

  local _PREFIX_WIN=$(cygpath -wm ${MINGW_PREFIX})
  for _f in "${pkgdir}${MINGW_PREFIX}"/lib/pkgconfig/*.pc; do
    sed -s "s|${_PREFIX_WIN}|${MINGW_PREFIX}|g" -i "${_f}"
  done

  # Install egg-info and .pyd
  _pythonpath=`${MINGW_PREFIX}/bin/python -c "import sysconfig; print(sysconfig.get_path('platlib'))"`
  _site_packages=${pkgdir}$(cygpath ${_pythonpath})
  _ext_suffix=`${MINGW_PREFIX}/bin/python -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX'))"`
  mkdir -p $_site_packages
  cp -r api/python/${_realname}.egg-info $_site_packages/${_realname}-${pkgver}.egg-info
  cp build-${MSYSTEM}/api/python/lief.pyd $_site_packages/lief$_ext_suffix

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
